com.r3corda.core.serialization / ReferencesAwareJavaSerializer

# ReferencesAwareJavaSerializer

`object ReferencesAwareJavaSerializer`

Improvement to the builtin JavaSerializer by honouring the Kryo.getReferences setting.

### Functions

read | `fun read(kryo: <ERROR CLASS>, input: <ERROR CLASS>, type: Class<Any>): Any`
write | `fun write(kryo: <ERROR CLASS>, output: <ERROR CLASS>, obj: Any): Unit`